package com.bonus.sgzb.machine.damain;


public class MaMachine {
  /**
   * 机具ID
   */
  private long maId;
  /**
   * 类型ID
   */
  private long typeId;
  /**
   * 机具编号
   */
  private String maCode;
  /**
   * 原编号
   */
  private String preCode;
  /**
   * 机具状态（数据字典）
   */
  private String maStatus;
  /**
   * 二维码
   */
  private String qrCode;
  /**
   * 购置价
   */
  private String buyPrice;
  /**
   * 厂家
   */
  private String maVender;
  /**
   * 出厂日期
   */
  private String outFacTime;
  /**
   * 出厂编号
   */
  private String outFacCode;
  /**
   * 固定资产编号
   */
  private String assetsCode;
  /**
   * 本次检验人
   */
  private String checkMan;
  /**
   * 本次检验日期
   */
  private String thisCheckTime;
  /**
   * 下次检验日期
   */
  private String nextCheckTime;
  /**
   * gps编号
   */
  private String gpsCode;
  /**
   * rfid编号
   */
  private String rfidCode;
  /**
   * erp编号
   */
  private String erpCode;
  /**
   * 调拨编号
   */
  private String transferCode;
  /**
   * 出入库次数
   */
  private String inOutNum;
  /**
   * 购置批次
   */
  private String buyTask;
  /**
   * 所在仓库
   */
  private String ownHouse;
  /**
   * 数据所属组织
   */
  private String companyId;


  public long getMaId() {
    return maId;
  }

  public void setMaId(long maId) {
    this.maId = maId;
  }


  public long getTypeId() {
    return typeId;
  }

  public void setTypeId(long typeId) {
    this.typeId = typeId;
  }


  public String getMaCode() {
    return maCode;
  }

  public void setMaCode(String maCode) {
    this.maCode = maCode;
  }


  public String getPreCode() {
    return preCode;
  }

  public void setPreCode(String preCode) {
    this.preCode = preCode;
  }


  public String getMaStatus() {
    return maStatus;
  }

  public void setMaStatus(String maStatus) {
    this.maStatus = maStatus;
  }


  public String getQrCode() {
    return qrCode;
  }

  public void setQrCode(String qrCode) {
    this.qrCode = qrCode;
  }


  public String getBuyPrice() {
    return buyPrice;
  }

  public void setBuyPrice(String buyPrice) {
    this.buyPrice = buyPrice;
  }


  public String getMaVender() {
    return maVender;
  }

  public void setMaVender(String maVender) {
    this.maVender = maVender;
  }


  public String getOutFacTime() {
    return outFacTime;
  }

  public void setOutFacTime(String outFacTime) {
    this.outFacTime = outFacTime;
  }


  public String getOutFacCode() {
    return outFacCode;
  }

  public void setOutFacCode(String outFacCode) {
    this.outFacCode = outFacCode;
  }


  public String getAssetsCode() {
    return assetsCode;
  }

  public void setAssetsCode(String assetsCode) {
    this.assetsCode = assetsCode;
  }


  public String getCheckMan() {
    return checkMan;
  }

  public void setCheckMan(String checkMan) {
    this.checkMan = checkMan;
  }


  public String getThisCheckTime() {
    return thisCheckTime;
  }

  public void setThisCheckTime(String thisCheckTime) {
    this.thisCheckTime = thisCheckTime;
  }


  public String getNextCheckTime() {
    return nextCheckTime;
  }

  public void setNextCheckTime(String nextCheckTime) {
    this.nextCheckTime = nextCheckTime;
  }


  public String getGpsCode() {
    return gpsCode;
  }

  public void setGpsCode(String gpsCode) {
    this.gpsCode = gpsCode;
  }


  public String getRfidCode() {
    return rfidCode;
  }

  public void setRfidCode(String rfidCode) {
    this.rfidCode = rfidCode;
  }


  public String getErpCode() {
    return erpCode;
  }

  public void setErpCode(String erpCode) {
    this.erpCode = erpCode;
  }


  public String getTransferCode() {
    return transferCode;
  }

  public void setTransferCode(String transferCode) {
    this.transferCode = transferCode;
  }


  public String getInOutNum() {
    return inOutNum;
  }

  public void setInOutNum(String inOutNum) {
    this.inOutNum = inOutNum;
  }


  public String getBuyTask() {
    return buyTask;
  }

  public void setBuyTask(String buyTask) {
    this.buyTask = buyTask;
  }


  public String getOwnHouse() {
    return ownHouse;
  }

  public void setOwnHouse(String ownHouse) {
    this.ownHouse = ownHouse;
  }


  public String getCompanyId() {
    return companyId;
  }

  public void setCompanyId(String companyId) {
    this.companyId = companyId;
  }

}
